Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.domain
Class AcrossNode

    java.lang.Object
      ix.icore.domain.ConstraintRange
          ix.icore.domain.AcrossNode

All Implemented Interfaces:
  NodeEndRange, java.lang.Cloneable

    @HiddenFields(value={"from","to"})
    public class AcrossNode

extends ConstraintRange

A constraint-range that can be used when the range is from the 'begin' of a node to the 'end' of that same node.

Field Summary
`protected Name` | `node`

Fields inherited from class ix.icore.domain.ConstraintRange
`from, to`

Constructor Summary
`AcrossNode()`
`AcrossNode(Name node)`

Method Summary
`Name` | `getNode()`
`void` | `setFrom(NodeEndRef from)`
`void` | `setNode(Name node)`
`void` | `setTo(NodeEndRef to)`
`java.lang.String` | `toString()`

Methods inherited from class ix.icore.domain.ConstraintRange
`clone, equals, getFrom, getTo, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### node

    protected Name node

Constructor Detail

### AcrossNode

    public AcrossNode()

### AcrossNode

    public AcrossNode(Name node)

Method Detail

### getNode

    public Name getNode()

### setNode

    public void setNode(Name node)

### setFrom

    public void setFrom(NodeEndRef from)

  Specified by:
    `setFrom` in interface `NodeEndRange`
  Overrides:
    `setFrom` in class `ConstraintRange`

### setTo

    public void setTo(NodeEndRef to)

  Specified by:
    `setTo` in interface `NodeEndRange`
  Overrides:
    `setTo` in class `ConstraintRange`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ConstraintRange`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD